---
lang: en
title: 'API docs: repository.resolvetype_1'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.resolvetype_1.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [resolveType](./repository.resolvetype_1.md)

## resolveType() function

<b>Signature:</b>

```typescript
export declare function resolveType<T>(fn: T): T;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  fn | <code>T</code> |  |

<b>Returns:</b>

`T`


